From e292ee3e350732ea37b98040774123bc61754e08 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Tue, 6 Apr 2021 10:27:46 -0500
Subject: [PATCH 15/32] doc review: Add function to log the memory contexts of
 specified backend process.

commit 43620e328617c1f41a2a54c8cee01723064e3ffa
---
 doc/src/sgml/func.sgml | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

diff --git a/doc/src/sgml/func.sgml b/doc/src/sgml/func.sgml
index be22f4b61b..679738f615 100644
--- a/doc/src/sgml/func.sgml
+++ b/doc/src/sgml/func.sgml
@@ -24926,12 +24926,12 @@ SELECT collation for ('foo' COLLATE "de_DE");
         <returnvalue>boolean</returnvalue>
        </para>
        <para>
-        Requests to log the memory contexts whose backend process has
-        the specified process ID.  These memory contexts will be logged at
+        Requests to log the memory contexts of the backend with the
+        specified process ID.  These memory contexts will be logged at
         <literal>LOG</literal> message level. They will appear in
         the server log based on the log configuration set
         (See <xref linkend="runtime-config-logging"/> for more information),
-        but will not be sent to the client whatever the setting of
+        but will not be sent to the client regardless of
         <xref linkend="guc-client-min-messages"/>.
         Only superusers can request to log the memory contexts.
        </para></entry>
@@ -25037,9 +25037,9 @@ SELECT collation for ('foo' COLLATE "de_DE");
 
    <para>
     <function>pg_log_backend_memory_contexts</function> can be used
-    to log the memory contexts of the backend process. For example,
+    to log the memory contexts of a backend process. For example,
 <programlisting>
-postgres=# SELECT pg_log_backend_memory_contexts(pg_backend_pid());
+postgres=# SELECT pg_log_backend_memory_contexts(pg_backend_pid()); -- XXX
  pg_log_backend_memory_contexts 
 --------------------------------
  t
@@ -25061,8 +25061,8 @@ LOG:  level: 1; TransactionAbortContext: 32768 total in 1 blocks; 32504 free (0
 LOG:  level: 1; ErrorContext: 8192 total in 1 blocks; 7928 free (3 chunks); 264 used
 LOG:  Grand total: 1651920 bytes in 201 blocks; 622360 free (88 chunks); 1029560 used
 </screen>
-    For more than 100 child contexts under the same parent one,
-    100 child contexts and a summary of the remaining ones will be logged.
+    If there are more than 100 child contexts under the same parent, the first
+    100 child contexts are logged, along with a summary of the remaining contexts.
     Note that frequent calls to this function could incur significant overhead,
     because it may generate a large number of log messages.
    </para>
-- 
2.17.0

